## org.apache.commons.math.linear
Interface AnyMatrix

All Known Subinterfaces:
  BigMatrix, FieldMatrix<T>, RealMatrix, SparseRealMatrix

All Known Implementing Classes:
  AbstractFieldMatrix, AbstractRealMatrix, Array2DRowFieldMatrix, Array2DRowRealMatrix, BigMatrixImpl, BlockFieldMatrix, BlockRealMatrix, OpenMapRealMatrix, RealMatrixImpl, SparseFieldMatrix

    public interface AnyMatrix

Interface defining very basic matrix operations.

Since:
  2.0
Version:
  $Revision: 772119 $ $Date: 2009-05-06 05:43:28 -0400 (Wed, 06 May 2009) $

Method Summary
`int` `getColumnDimension()` Returns the number of columns in the matrix.
`int` `getRowDimension()` Returns the number of rows in the matrix.
`boolean` `isSquare()` Is this a square matrix?

Method Detail

### isSquare

    boolean isSquare()

  Is this a square matrix?

  Returns:
    true if the matrix is square (rowDimension = columnDimension)

### getRowDimension

    int getRowDimension()

  Returns the number of rows in the matrix.

  Returns:
    rowDimension

### getColumnDimension

    int getColumnDimension()

  Returns the number of columns in the matrix.

  Returns:
    columnDimension

Copyright (c) 2003-2010 Apache Software Foundation